package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.MarketingPromotion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.PromotionVo;
import com.fzm.mall.server.front.order.model.vo.OrderSkuVo;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 商品促销 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-09
 */
public interface IMarketingPromotionService extends IService<MarketingPromotion> {

    PromotionVo getByGoodsId(String goodsId,Integer type,String merchantId);

    //BigDecimal getPrice(String goodsId,BigDecimal amount , Integer size,Integer type);

    PromotionVo getBySkuId(String skuId);

    PromotionVo getByCategoryId(String categoryId);

    PromotionVo getByMerchantId(String merchantId);

    BigDecimal promotion(String merchantId, List<OrderSkuVo> orderSkuVos,Integer type,String oid);
}
